import request from '@/utils/request'

// 查询等级配置列表
export function listCurrentConfig(query) {
  return request({
    url: '/model/CurrentConfig/list',
    method: 'get',
    params: query
  })
}

// 查询等级配置详细
export function getCurrentConfig(currentId) {
  return request({
    url: '/model/CurrentConfig/' + currentId,
    method: 'get'
  })
}

// 新增等级配置
export function addCurrentConfig(data) {
  return request({
    url: '/model/CurrentConfig',
    method: 'post',
    data: data
  })
}

// 修改等级配置
export function updateCurrentConfig(data) {
  return request({
    url: '/model/CurrentConfig',
    method: 'put',
    data: data
  })
}

// 删除等级配置
export function delCurrentConfig(currentId) {
  return request({
    url: '/model/CurrentConfig/' + currentId,
    method: 'delete'
  })
}
